Postfix file descriptors patch v1 PROPOSED

Export patchset (mbox)
How do I use this?

Copy & paste the following snippet into your terminal to import this patchset into git:

curl -s https://lists.alpinelinux.org/~alpine/devel/%3C1413196676-22116-1-git-send-email-jens%40eisfair.org%3E/mbox | git am -3
Learn more about email & git

[alpine-devel] [PATCH] Postfix file descriptors patch Export this patch

Jens Vehlhaber
---
 main/postfix/APKBUILD | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/main/postfix/APKBUILD b/main/postfix/APKBUILD
index c9e1961..998d1a3 100644
--- a/main/postfix/APKBUILD
+++ b/main/postfix/APKBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=postfix
 pkgver=2.11.1
-pkgrel=0
+pkgrel=1
 pkgdesc="Secure and fast drop-in replacement for Sendmail (MTA)"
 url="http://www.postfix.org/"
 arch="all"
@@ -43,6 +43,7 @@ prepare() {
 	sed -i -e "s|#define HAS_NIS|//#define HAS_NIS|g" \
 		-e "/^#define ALIAS_DB_MAP/s|:/etc/aliases|:/etc/postfix/aliases|" \
 		src/util/sys_defs.h || return 1
+	sed -i -e "s:(__GLIBC__ < 2):(defined(__GLIBC__) \&\& (__GLIBC__ < 2)):" src/util/sys_defs.h || return 1
 	sed -i -e "s:/usr/local/:/usr/:g" conf/master.cf || return 1
 }
 
-- 
2.0.0



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
View this thread in the archives